gtk.Arrow
Prev | The gtk Class Reference | Next

## gtk.Arrow

gtk.Arrow — produces an arrow pointing in one of the four cardinal directions.

## Synopsis

    class gtk.Arrow(gtk.Misc):
        gtk.Arrow(arrow_type, shadow_type)
        def set(arrow_type, shadow_type)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Misc
            +-- gtk.Arrow

## Implemented Interfaces

`gtk.Arrow` implements `gtk.Buildable`

## gtk.Arrow Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Misc Properties

"arrow-type" | Read/Write | The direction the arrow should point (gtk.ARROW_UP, gtk.ARROW_DOWN, gtk.ARROW_LEFT, or gtk.ARROW_RIGHT)
"shadow-type" | Read/Write | Appearance of the shadow surrounding the arrow (`gtk.SHADOW IN, gtk.SHADOW OUT, gtk.ETCHED IN, or gtk.ETCHED OUT`)

## gtk.Arrow Style Properties

gtk.Widget Style Properties

## gtk.Arrow Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

## Description

The `gtk.Arrow` is used to draw simple arrows that point in one of the four cardinal directions (gtk.ARROW_UP, gtk.ARROW_DOWN, gtk.ARROW_LEFT, or gtk.ARROW_RIGHT). The shadow style of the arrow can be one of gtk.SHADOW IN, gtk.SHADOW OUT, gtk.ETCHED IN, or gtk.ETCHED OUT.

A `gtk.Arrow` will fill any space alloted to it, but since it is inherited from `gtk.Misc`, it can be padded and/or aligned, to fill exactly the space desired.

Arrows are created with a call to `gtk.Arrow`(). The direction or style of an arrow can be changed after creation by using `arrow_set`().

## Constructor

        gtk.Arrow(arrow_type, shadow_type)

`arrow_type` : | one of the GTK Arrow Type Constants
`shadow_type` : | one of the GTK Shadow Type Constants
Returns : | a `gtk.Arrow` widget

Creates a new arrow widget with the specified `arrow_type` and `arrow_shadow`.

## Methods

### gtk.Arrow.set

        def set(arrow_type, shadow_type)

`arrow_type` : | a GtkArrowType
`shadow_type` : | one of the GTK Shadow Type Constants

The `set`() method sets the `arrow_type` and `shadow_type` of the arrow widget.

Prev | Up | Next
gtk.Alignment | Home | gtk.AspectFrame